<bugID>1149245<Summary>DeserializedEdgeRange should re-use its referents edge vector (not copy it)</Summary><Description>(In reply to Jim Blandy :jimb from bug 1024774 comment #165)
&gt; ::: toolkit/devtools/server/DeserializedNode.cpp
&gt; @@ +165,5 @@
&gt; &gt; +          return false;
&gt; &gt; +      }
&gt; &gt; +
&gt; &gt; +      DeserializedNode &amp;referent = node.getEdgeReferent(*edgep);
&gt; &gt; +      edges.append(mozilla::Move(SimpleEdge(name, Node(&amp;referent))));
&gt; 
&gt; It's a pity we have to copy the edge vector like this. Could you file a
&gt; follow-up bug to make this iterate over the DeserializedNode's underlying
&gt; vector, and have 'settle' build a proper JS::ubi::Edge from the current
&gt; element?</Description></bugID>